<style>
  #modalCopiado .modal-dialog {
    z-index: 1100; /* acima dos modais padrão do Bootstrap */
  }
</style>

<!-- 1. MODAL DE CONFIRMAÇÃO DE EXCLUSÃO -->
<div class="modal fade" id="modalExcluir" tabindex="-1" aria-labelledby="modalExcluirLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header bg-warning">
        <h5 class="modal-title text-dark"><i class="fa-solid fa-triangle-exclamation me-2"></i>Tem certeza que deseja excluir a senha?</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
        <button type="button" class="btn btn-danger" id="btnConfirmarExclusao">Excluir</button>
      </div>
    </div>
  </div>
</div>

<!-- 2. ALERTA DE SENHA COPIADA -->
<div class="modal fade" id="modalCopiado" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog modal-sm modal-dialog-centered" style="z-index: 9999;">
    <div class="modal-content text-center p-4">
      <div class="text-success mb-2">
        <i class="fa-solid fa-circle-check fa-2x"></i>
      </div>
      <p class="mb-0">Senha copiada para a área de transferência.</p>
    </div>
  </div>
</div>

<!-- 3. GERADOR DE SENHA (VOLTOU COMO MODAL) -->
<div class="modal fade" id="modalGerador" tabindex="-1" aria-labelledby="modalGeradorLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content p-4">
      <h5 class="modal-title mb-3"><i class="fa-solid fa-gears me-2"></i>Gerador de Senha</h5>
      <div class="mb-3">
        <label class="form-label">Senha Gerada</label>
        <input type="text" id="campoSenhaGerada" class="form-control" readonly>
      </div>

      <div class="mb-3">
        <label class="form-label">Tamanho: <span id="tamanhoLabel">12</span> caracteres</label>
        <input type="range" class="form-range" min="8" max="100" value="12" id="tamanhoSenha">
      </div>

      <div class="mb-3">
        <label class="form-label">Tipo de senha</label>
        <select id="tipoSenha" class="form-select">
          <option value="numeros">Somente números</option>
          <option value="letras">Somente letras</option>
          <option value="letras_numeros">Letras + Números</option>
          <option value="completa" selected>Letras + Números + Símbolos</option>
        </select>
      </div>

      <div class="d-flex gap-2">
        <button class="btn btn-primary" onclick="copiarSenhaGerada()"><i class="fa-regular fa-copy me-1"></i>Copiar</button>
        <button class="btn btn-secondary" onclick="gerarSenha()"><i class="fa-solid fa-rotate me-1"></i>Gerar novamente</button>
      </div>
    </div>
  </div>
</div>

<!-- 4. MODAL DE SUCESSO AO SALVAR -->
<div class="modal fade" id="modalSenhaSalva" tabindex="-1" aria-labelledby="modalSenhaSalvaLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content border-success">
      <div class="modal-header bg-success text-white">
        <h5 class="modal-title" id="modalSenhaSalvaLabel">Sucesso</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
      </div>
      <div class="modal-body text-center">
        <p>Senha salva com sucesso!</p>
      </div>
    </div>
  </div>
</div>

<!-- 5. FUNÇÕES JS -->
<script>
  function mostrarModalExcluir() {
    const modal = new bootstrap.Modal(document.getElementById('modalExcluir'));
    modal.show();
  }

  function mostrarCopiado() {
    const modal = new bootstrap.Modal(document.getElementById('modalCopiado'));
    modal.show();
    setTimeout(() => modal.hide(), 2000);
  }

  function mostrarGerador() {
    gerarSenha();
    const modal = new bootstrap.Modal(document.getElementById('modalGerador'));
    modal.show();
  }

  function gerarSenha() {
    const tipo = document.getElementById('tipoSenha').value;
    const tamanho = document.getElementById('tamanhoSenha').value;
    document.getElementById('tamanhoLabel').innerText = tamanho;

    let caracteres = '';
    if (tipo === 'numeros') caracteres = '0123456789';
    else if (tipo === 'letras') caracteres = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    else if (tipo === 'letras_numeros') caracteres = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
    else caracteres = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789!@#$%^&*()_+{}[]<>.?/';

    let senha = '';
    for (let i = 0; i < tamanho; i++) {
      senha += caracteres.charAt(Math.floor(Math.random() * caracteres.length));
    }
    document.getElementById('campoSenhaGerada').value = senha;
  }

  function copiarSenhaGerada() {
    const senha = document.getElementById('campoSenhaGerada');
    senha.select();
    document.execCommand('copy');
    mostrarCopiado();
  }

  // Fecha o painel ao confirmar a exclusão
  document.addEventListener('DOMContentLoaded', () => {
    const btnConfirmar = document.getElementById('btnConfirmarExclusao');
    if (btnConfirmar) {
      btnConfirmar.addEventListener('click', function () {
        // Fecha o modal de exclusão
        const modal = bootstrap.Modal.getInstance(document.getElementById('modalExcluir'));
        if (modal) {
          modal.hide();
        }

        // Fecha o painel lateral
        const painel = bootstrap.Offcanvas.getInstance(document.getElementById('painelSenha'));
        if (painel) {
          painel.hide();
        }
      });
    }



  });
</script>
