// assets/js/excluirSenha.js

function confirmarExclusao(id) {
  const campo = document.getElementById('senha_id');
  if (campo) {
    campo.value = id;
    mostrarModalExcluir(); // já deve estar definida no modais.js
  } else {
    alert('Campo oculto de ID não encontrado.');
  }
}

document.addEventListener('DOMContentLoaded', () => {
  const btn = document.getElementById('btnConfirmarExclusao');
  if (btn) {
    btn.addEventListener('click', function () {
      const id = document.getElementById('senha_id').value;

      if (!id || isNaN(id)) {
        alert('ID inválido para exclusão.');
        return;
      }

      fetch('services/excluir_senha.php', {
        method: 'POST',
        headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
        body: `id=${encodeURIComponent(id)}`
      })
        .then(res => res.json())
        .then(json => {
          if (json.status === 'ok') {
            if (typeof carregarSenhas === 'function') {
              carregarSenhas();
            }

            // Fecha o modal e o painel lateral, se estiverem abertos
            const modal = bootstrap.Modal.getInstance(document.getElementById('modalExcluir'));
            if (modal) modal.hide();

            const painel = bootstrap.Offcanvas.getInstance(document.getElementById('painelSenha'));
            if (painel) painel.hide();
          } else {
            alert('Erro ao excluir: ' + json.mensagem);
          }
        })
        .catch(err => {
          console.error('Erro ao excluir:', err);
          alert('Erro inesperado ao excluir. Verifique o console.');
        });
    });
  }
});
