function salvarSenhaDoPainel() {
  const id = document.getElementById('senha_id').value || '';
  const empresa = document.getElementById('editorEmpresa').value.trim(); // Agora pega o valor do select "empresa"
  const sistema = document.getElementById('editorSistemaInput').value.trim(); // Agora pega o valor do campo de texto "sistema"
  const usuario = document.getElementById('usuario').value.trim();
  const senha = document.getElementById('senha').value.trim();
  const email = document.getElementById('email').value.trim();
  const categoria_id = document.getElementById('categoria_id')?.value || null;

  if (!empresa || !sistema || !usuario || !senha) {
    alert('Preencha todos os campos obrigatórios.');
    return;
  }

  const formData = new FormData();
  formData.append('id', id);
  formData.append('empresa', empresa);  // Valor do "empresa" vindo do select
  formData.append('sistema', sistema);  // Valor do "sistema" vindo do campo de texto
  formData.append('usuario', usuario);
  formData.append('senha', senha);
  formData.append('email', email);
  if (categoria_id !== null) {
    formData.append('categoria_id', categoria_id);
  }

  fetch('services/salvar_senha.php', {
    method: 'POST',
    body: formData,
    cache: 'no-store' // ⛔ evita cache
  })
    .then(res => res.json())
    .then(json => {
      if (json.status === 'ok') {

        // Recarrega imediatamente as senhas
        if (typeof carregarSenhas === 'function') {
          setTimeout(() => carregarSenhas(), 100); // pequeno delay para garantir que o banco refletiu
        }

        // Fecha o painel lateral
        const painel = bootstrap.Offcanvas.getInstance(document.getElementById('painelSenha'));
        if (painel) painel.hide();

        // Limpa camadas pretas duplicadas
        document.querySelectorAll('.modal-backdrop, .offcanvas-backdrop')
          .forEach(el => el.remove());

        // Mostra o modal de sucesso
        const modal = new bootstrap.Modal(document.getElementById('modalSenhaSalva'));
        modal.show();

      } else {
        alert('Erro ao salvar: ' + json.mensagem);
      }
    })
    .catch(erro => {
      console.error('Erro no fetch:', erro);
      alert('Erro inesperado ao salvar. Verifique o console.');
    });
}
