<?php

require_once(__DIR__ . '/crest.php'); // Certifique-se de que o caminho para o crest.php esteja correto.

class CRestCurrent extends CRest
{
    protected static $dataExt = [];

    // Função que recupera os dados de configuração do Bitrix
    protected static function getSettingData()
    {
        // Verifica se o arquivo settings.json existe no diretório correto
        $settingsFile = __DIR__ . '/settings.json';
        
        if (file_exists($settingsFile)) {
            $return = static::expandData(file_get_contents($settingsFile));
            
            if (is_array($return)) {
                // Verifica se há dados adicionais para sobrescrever (se estiverem configurados externamente)
                if (!empty(static::$dataExt)) {
                    $return['access_token'] = htmlspecialchars(static::$dataExt['AUTH_ID']);
                    $return['domain'] = htmlspecialchars(static::$dataExt['DOMAIN']);
                    $return['refresh_token'] = htmlspecialchars(static::$dataExt['REFRESH_ID']);
                    $return['application_token'] = htmlspecialchars(static::$dataExt['APP_SID']);
                } else {
                    // Caso contrário, usa os parâmetros passados na URL
                    $return['access_token'] = htmlspecialchars($_REQUEST['AUTH_ID']);
                    $return['domain'] = htmlspecialchars($_REQUEST['DOMAIN']);
                    $return['refresh_token'] = htmlspecialchars($_REQUEST['REFRESH_ID']);
                    $return['application_token'] = htmlspecialchars($_REQUEST['APP_SID']);
                }
            }
        } else {
            // Se o arquivo settings.json não existe, retorna um erro
            echo "<p style='color:red;'>❌ O arquivo settings.json não foi encontrado!</p>";
            return [];
        }

        return $return;
    }

    // Função para definir dados externos (por exemplo, um novo token de autenticação)
    public static function setDataExt($data)
    {
        static::$dataExt = $data;
    }
}
?>
