<?php
function carregarChaveSecreta() {
  // 1. Tenta variável de ambiente real
  $env = getenv('CHAVE_CRIPTO_SENHA');
  if ($env && strlen($env) >= 16) {
    return $env;
  }

  // 2. Tenta carregar do .env local
  $caminho = __DIR__ . '/.env';
  if (file_exists($caminho)) {
    $linhas = file($caminho);
    foreach ($linhas as $linha) {
      if (str_starts_with(trim($linha), 'CHAVE_CRIPTO_SENHA=')) {
        return trim(explode('=', $linha, 2)[1]);
      }
    }
  }

  // 3. Fallback de desenvolvimento (NUNCA em produção)
  return 'chave-desenvolvimento-fraca';
}

function criptografarSenha($senha, $chave) {
  $iv = random_bytes(16);
  $criptografada = openssl_encrypt($senha, 'AES-256-CBC', $chave, 0, $iv);
  return base64_encode($iv . $criptografada);
}

function descriptografarSenha($senhaCodificada, $chave) {
  $dados = base64_decode($senhaCodificada);
  $iv = substr($dados, 0, 16);
  $criptografada = substr($dados, 16);
  return openssl_decrypt($criptografada, 'AES-256-CBC', $chave, 0, $iv);
}
