<?php
require_once __DIR__ . '/../crestcurrent.php'; // Corrigindo o caminho para acessar corretamente o arquivo crestcurrent.php

function getListaBUFromBitrix() {
    // Faz a chamada para obter os campos da entidade personalizada (ID 1052)
    $response = CRestCurrent::call('crm.item.fields', ['entityTypeId' => 1052]);

    // Verifica se a resposta é válida e contém o campo 'UF_CRM_11_1740684518' (BU)
    if (isset($response['result']['fields']['ufCrm11_1740684518']['items'])) {
        $bus = [];
        
        // Extrai os nomes das BUs (campo VALUE)
        foreach ($response['result']['fields']['ufCrm11_1740684518']['items'] as $item) {
            $bus[] = $item['VALUE'];  // Armazena apenas o nome da BU
        }

        return $bus; // Retorna o array de BUs
    }

    return []; // Caso o campo BU não seja encontrado, retorna um array vazio
}
?>
