<?php
require_once __DIR__ . '/db.php';

header('Content-Type: application/json');

// Garante que a requisição seja POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = $_POST['id'] ?? null;

    // Validação mínima do ID
    if (!$id || !is_numeric($id)) {
        echo json_encode(['status' => 'erro', 'mensagem' => 'ID da senha não informado ou inválido.']);
        exit;
    }

    try {
        // DELETE com segurança
        $stmt = $pdo->prepare("DELETE FROM senhas WHERE id = ?");
        $stmt->execute([$id]);

        // Verifica se algo foi realmente excluído
        if ($stmt->rowCount() > 0) {
            echo json_encode(['status' => 'ok']);
        } else {
            echo json_encode(['status' => 'erro', 'mensagem' => 'Senha não encontrada ou já excluída.']);
        }
    } catch (PDOException $e) {
        echo json_encode(['status' => 'erro', 'mensagem' => 'Erro no banco: ' . $e->getMessage()]);
    }
} else {
    echo json_encode(['status' => 'erro', 'mensagem' => 'Requisição inválida.']);
}
