<?php
// Início do arquivo
header("Cache-Control: no-store, no-cache, must-revalidate, proxy-revalidate, max-age=0");
header("Pragma: no-cache");
header("Expires: 0");

require_once __DIR__ . '/db.php';                  // Conexão com banco
require_once __DIR__ . '/../seguranca.php';        // Funções de criptografia

header('Content-Type: application/json');

try {
    $stmt = $pdo->query("SELECT * FROM senhas ORDER BY criado_em DESC");
    $senhas = $stmt->fetchAll();

    $chave = carregarChaveSecreta();
    $senhasValidas = [];

    foreach ($senhas as $s) {
        $senhaDescriptografada = descriptografarSenha($s['senha'], $chave);

        if ($senhaDescriptografada !== false && $senhaDescriptografada !== null) {
            $s['senha'] = $senhaDescriptografada;
            $senhasValidas[] = $s;
        }
    }

    echo json_encode(['status' => 'ok', 'data' => $senhasValidas]);
} catch (PDOException $e) {
    echo json_encode(['status' => 'erro', 'mensagem' => $e->getMessage()]);
}
